Skip to main content
GET
Get the recovery detail for a parked action visit
Required scope: workflows.recover
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.

Authorizations

Authorization
string
header
required

Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

Path Parameters

runId
string
required
nodeExecutionId
string
required

Response

OK

runId
string
required
workflowId
string
required
runStatus
enum<string>
required
Available options:
RUNNING,
WAITING,
NEEDS_ATTENTION,
DONE,
FAILED,
CANCELED
nodeExecutionId
string
required
nodeId
string
required
actionKind
string | null
required
attentionReason
string | null
required
attentionSince
string | null
required
inputPreview
object
required
lastFailureCode
string | null
required
lastFailureClass
string | null
required
lastOutcomeCertainty
string | null
required
attempts
object[]
required
availableDecisions
enum<string>[]
required
Available options:
retry,
skip,
continue_error,
fail
expectedVersion
number
required
retryPolicy
unknown